// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2010                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// -----------------------------------------------------------------
// FVIL Sample Program
// rfIݒt@CI_CAO
//
// 쐬 : N.Moriguchi
//
//  : 2011/02/03 
//
// -----------------------------------------------------------------
namespace FVGP440_8chSample
{
    public partial class Form_BROWSEINI : Form
    {

        public string strIniFilePath;
        public Int32 BoardID0;
        public Int32 BoardID1;
        public Int32 SelectChannelNo = 0xFF;

        public Form_BROWSEINI()
        {
            InitializeComponent();
        }

        /// <summary>
        /// tH[Ăяo
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// `FbN{bNX̏Ԃ𔽉fB
        /// </remarks>
        private void Form_BROWSEINI_Load(object sender, EventArgs e)
        {
            if ((SelectChannelNo & 0x01) == 0x01)
            {
                CheckBoxBoard0CH0.Checked = true;
            }
            if ((SelectChannelNo & 0x02) == 0x02)
            {
                CheckBoxBoard0CH1.Checked = true;
            }
            if ((SelectChannelNo & 0x04) == 0x04)
            {
                CheckBoxBoard0CH2.Checked = true;
            }
            if ((SelectChannelNo & 0x08) == 0x08)
            {
                CheckBoxBoard0CH3.Checked = true;
            }
            if ((SelectChannelNo & 0x10) == 0x10)
            {
                CheckBoxBoard1CH0.Checked = true;
            }
            if ((SelectChannelNo & 0x20) == 0x20)
            {
                CheckBoxBoard1CH1.Checked = true;
            }
            if ((SelectChannelNo & 0x40) == 0x40)
            {
                CheckBoxBoard1CH2.Checked = true;
            }
            if ((SelectChannelNo & 0x80) == 0x80)
            {
                CheckBoxBoard1CH3.Checked = true;
            }
        }

        /// <summary>
        /// Qƃ{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// rfIݒpinit@C̑IB
        /// </remarks>
        private void ButtonBrowse_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "init@C(*.ini;)|*.ini;";
            openFileDialog1.DefaultExt = "*.INI";
            openFileDialog1.ShowDialog();

            if ((openFileDialog1.FileNames.Length > 0))
            {
                //init@C擾
                TextBoxPath.Text = openFileDialog1.FileName;
            }

        }

        /// <summary>
        /// OK{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// rfIݒpinit@C̐ݒB
        /// </remarks>
        private void ButtonOK_Click(object sender, EventArgs e)
        {
            //init@C̃pX擾
            strIniFilePath = TextBoxPath.Text;
            //IĂ{[hID擾
            BoardID0 = (int)NumericUpDownBoardID0.Value;
            BoardID1 = (int)NumericUpDownBoardID1.Value;

            //IĂrfI̓`l擾
            SelectChannelNo = 0;
            if (CheckBoxBoard0CH0.Checked == true)
            {
                SelectChannelNo |= 0x01;
            }
            if (CheckBoxBoard0CH1.Checked == true)
            {
                SelectChannelNo |= 0x02;
            }
            if (CheckBoxBoard0CH2.Checked == true)
            {
                SelectChannelNo |= 0x04;
            }
            if (CheckBoxBoard0CH3.Checked == true)
            {
                SelectChannelNo |= 0x08;
            }
            if (CheckBoxBoard1CH0.Checked == true)
            {
                SelectChannelNo |= 0x10;
            }
            if (CheckBoxBoard1CH1.Checked == true)
            {
                SelectChannelNo |= 0x20;
            }
            if (CheckBoxBoard1CH2.Checked == true)
            {
                SelectChannelNo |= 0x40;
            }
            if (CheckBoxBoard1CH3.Checked == true)
            {
                SelectChannelNo |= 0x80;
            }

            this.DialogResult = DialogResult.OK;
            this.Close();
        }

    }
}